librime: rime::PunctTranslator Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::PunctTranslator Class Reference

`#include <punctuator.h>`

Inheritance diagram for rime::PunctTranslator:
[legend]
Collaboration diagram for rime::PunctTranslator:
[legend]

## Public Member Functions
| PunctTranslator (const Ticket &ticket)
virtual an< Translation > | Query (const string &input, const Segment &segment)
Public Member Functions inherited from rime::Translator
| Translator (const Ticket &ticket)
virtual | ~Translator ()=default
string | name_space () const

## Protected Member Functions
an< Translation > | TranslateUniquePunct (const string &key, const Segment &segment, const an< ConfigValue > &definition)
an< Translation > | TranslateAlternatingPunct (const string &key, const Segment &segment, const an< ConfigList > &definition)
an< Translation > | TranslateAutoCommitPunct (const string &key, const Segment &segment, const an< ConfigMap > &definition)
an< Translation > | TranslatePairedPunct (const string &key, const Segment &segment, const an< ConfigMap > &definition)

## Protected Attributes
ShapeFormatter | formatter_
PunctConfig | config_
Protected Attributes inherited from rime::Translator
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Translator, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Translator, const Ticket & >
static Component * | Require (const string &name)

## Constructor & Destructor Documentation

## ◆ PunctTranslator()

rime::PunctTranslator::PunctTranslator | ( | const Ticket & | ticket | ) |

## Member Function Documentation

## ◆ Query()

an< Translation > rime::PunctTranslator::Query | ( | const string & | input,
|  | const Segment & | segment )
| virtual

Implements rime::Translator.

## ◆ TranslateAlternatingPunct()

an< Translation > rime::PunctTranslator::TranslateAlternatingPunct | ( | const string & | key,
|  | const Segment & | segment,
|  | const an< ConfigList > & | definition )
| protected

## ◆ TranslateAutoCommitPunct()

an< Translation > rime::PunctTranslator::TranslateAutoCommitPunct | ( | const string & | key,
|  | const Segment & | segment,
|  | const an< ConfigMap > & | definition )
| protected

## ◆ TranslatePairedPunct()

an< Translation > rime::PunctTranslator::TranslatePairedPunct | ( | const string & | key,
|  | const Segment & | segment,
|  | const an< ConfigMap > & | definition )
| protected

## ◆ TranslateUniquePunct()

an< Translation > rime::PunctTranslator::TranslateUniquePunct | ( | const string & | key,
|  | const Segment & | segment,
|  | const an< ConfigValue > & | definition )
| protected

## Member Data Documentation

## ◆ config_

PunctConfig rime::PunctTranslator::config_
| protected

## ◆ formatter_

ShapeFormatter rime::PunctTranslator::formatter_
| protected

The documentation for this class was generated from the following files:

- punctuator.h
- punctuator.cc